Subject: RE: gcc error on cygwin
From: "Harig, Mark A." <[email-masked]>
To: "Ajitha" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 7 Nov 2002 12:14:30 -0500

Using cygwin 1.3.15, there is one additional message:

$ ./check.exe 
open: illegal unit number
apparent state: internal I/O
lately writing direct unformatted external IO
4005713 [main] check 1348 sig_send: wait for sig_complete event failed,
signal 6, rc 258, Win32 error 0

You might try:

  1. Set the environment variable CYGWIN (via Start->Control
Panel->System)
     to include "error_start=C:/Cygwin/bin/gdb".

  2. Start a new shell that uses the new value of CYGWIN.

  3. Recompile your FORTRAN file with debugging information:

        g77 -g -o check check.f

  4. Run ./check.exe.  gdb should start automatically.

> -----Original Message-----
> From: Ajitha [mailto:[email-masked]]
> Sent: Thursday, November 07, 2002 11:54 AM
> To: Harig, Mark A.
> Cc: [email-masked]
> Subject: RE: gcc error on cygwin
> 
> 
> 
> Hi,
>   Thank you. Please find attached the cygcheck.txt and the sample
> program which gives the follwoing error message. The cygwin version is
> 1.3-13 DLL.  On executing check.exe (I am not able to 
> understand why it
> gives check.exe instead of just 'check' on g77 -o check 
> check.f command)
> it gives the following error
> $g77 -o check check.f
> $./check.exe
> open: illegal unit number
> apparent state: internal I/O
> lately writing direct unformatted external IO
> Aborted (core dumped)
> 
> Any suggestion is welcome. Thank you,
> With best regards,
> Ajitha.
> 
> 
> 
> 
> On Wed, 6 Nov 2002, Harig, Mark A. wrote:
> 
> >
> > As requested at http://cygwin.com/bugs.html:
> >
> > o Please describe how to reproduce the problem,
> >   including a test case, if possible.
> >
> > o Please include at least the version number of the
> >   Cygwin release you are using along with the
> >   operating system name and its version number,
> >   for example, "cygwin v1.3.13 under NT 4.0".
> >
> > o Most of the information about your Cygwin environment
> >   is listed by running 'cygcheck -s -v -r > cygcheck.txt'.
> >   Please include cygcheck.txt *AS AN ATTACHMENT* to your
> >   report.  It is important that you include it as an
> >   attachment so that searches of the mailing-list archives
> >   give fewer false matches.
> >
> > For your test case, it would be helpful for you to
> > provide:
> >
> >   1. A small amount of code that can reproduce the
> >      problem.
> >
> >   2. The compilation/link commands that you are
> >      using to generate 'a.exe'.
> >
> > > -----Original Message-----
> > > From: Ajitha [mailto:[email-masked]]
> > > Sent: Wednesday, November 06, 2002 2:36 AM
> > > To: [email-masked]
> > > Subject: gcc error on cygwin
> > >
> > >
> > >
> > > Hello,
> > >   I installed cygwin with gcc. Some check files are
> > > compiling. But when I
> > > compile a file with open unitnumbers, the gcc is compiling
> > > andthe inspite
> > > of giving as gcc *.f it produces an a.exe file and on executing
> > > it, the error comes as
> > >
> > > $ ./a.exe
> > > open: illegal unit number
> > > apparent state:internal I/O
> > > lately writing direct unformatted external IO
> > > Aborted (coredumped)
> > >
> > > Any suggestion is very much appreciated.
> > >
> > > Thank you,
> > >
> > > With best regards,
> > >
> > > Ajitha
> > >
> > > Research Associate,
> > > SSCU,
> > > Indian Institute Of Science, Bangalore 560 012,INDIA
> > >
> > >
> > > --
> > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > Bug reporting:         http://cygwin.com/bugs.html
> > > Documentation:         http://cygwin.com/docs.html
> > > FAQ:                   http://cygwin.com/faq/
> > >
> > >
> >
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/